Name:           wordwarvi
Version:        0.25
Release:        11%{?dist}
Summary:        Side-scrolling shoot 'em up '80s style arcade game
Group:          Amusements/Games
License:        GPLv2+ and CC-BY and CC-BY-SA
URL:            http://wordwarvi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel portaudio-devel libvorbis-devel desktop-file-utils
Requires:       hicolor-icon-theme

%description
Word War vi is your basic side-scrolling shoot 'em up '80s style arcade game.
You pilot your "vi"per craft through core memory, rescuing lost .swp files,
avoiding OS defenses, and wiping out those memory hogging emacs processes.
When all the lost .swp files are rescued, head for the socket which will take
you to the next node in the cluster.

Note: Obviously, emacs is a fine editor and this is all very tongue in cheek,
so don't be getting all bent out of shape because you like emacs better than
vi, mmm-kay?


%prep
%setup -q


%build
make %{?_smp_mflags} PREFIX=%{_prefix} OPTIMIZE_FLAG="$RPM_OPT_FLAGS"


%install
make install PREFIX=%{_prefix} DESTDIR=$RPM_BUILD_ROOT

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install           \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%doc AUTHORS COPYING README changelog.txt sounds/Attribution.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 10 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 0.25-8
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.25-5
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Hans de Goede <hdegoede@redhat.com> 0.25-1
- New upstream release 0.25

* Tue Dec 16 2008 Hans de Goede <hdegoede@redhat.com> 0.24-1
- New upstream release 0.24
- Drop upstreamed patches

* Mon Dec  8 2008 Hans de Goede <hdegoede@redhat.com> 0.23-2
- Fix wordwarvi crashing when used with a portaudio which has been patched to
  work with pulseaudio (rh 445644)

* Sun Nov 30 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.23-1
- New upstream release 0.23 (The xmas release)

* Thu Jul 31 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.21-1
- New upstream release 0.21

* Sat Jul 20 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.20-1
- New upstream release 0.20

* Wed Jul 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.19-1
- New upstream release 0.19

* Mon Jul  7 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.18-1
- New upstream release 0.18

* Mon Jun 30 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.17-1
- New upstream release 0.17

* Mon Jun 23 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.16-1
- New upstream release 0.16

* Mon Jun 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.15-1
- New upstream release 0.15

* Mon Jun  9 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.13-1
- New upstream release 0.13

* Mon May 26 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.12-1
- New upstream release 0.12
- Drop upstream merged patches

* Wed May 21 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.11-1
- New upstream release 0.11

* Mon May  5 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.09-1
- New upstream release 0.09

* Sat May  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.08-1
- New upstream release 0.08

* Thu May  1 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.07-1
- New upstream release 0.07
- Drop upstream merged patches

* Mon Apr 14 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.06-1
- New upstream release 0.06
- Drop upstream merged patches

* Fri Apr 11 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.05-1
- Initial Fedora Extras package
